import paho.mqtt.client as mqtt
from datetime import datetime
import socket
hostname = socket.gethostname()
sock=socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
try: 
    sock.connect(("8.8.8.8",80))
    IPAddr=sock.getsockname()[0]
    print(hostname + " connected via IP-address: "+ IPAddr)

except socket.error:
    print("WARNING: No internet connection ")
    IPAddr=""


if IPAddr !="":
    client = mqtt.Client()
    client.connect(IPAddr,1883,60)
    now=datetime.now()
    time_stamp=now.strftime("%d.%m.%y  %H:%M:%S")
    client.publish("hallpi","Connection established! @ "+time_stamp)
