# little example how to receive data from the raspberry pi
# send via MQTT over the internet
#
# P. Blümler 2020
import paho.mqtt.client as mqtt

def on_connect(client, userdata, flags, rc):
   if rc==0:
        print("connected OK Returned code=",rc)
   else:
        print("Bad connection Returned code=",rc)
   client.subscribe("hallpi")

def on_message(client, userdata, msg):
  print(msg.payload.decode())
  
    
client = mqtt.Client()
client.connect("192.168.0.208",1883,60)

client.on_connect = on_connect
client.on_message = on_message

client.loop_forever()
